PO4A-NORMALIZE.1P(1)

NOME
po4a-normalize - normaliza um ficheiro de documentação ao analisa-lo em po4a e escrevê-lo de volta

RESUMO
po4a-normalize -f fmt master.doc

DESCRIÇÃO
O objetivo do projeto po4a (PO for anything: PO para qualquer coisa) é facilitar traduções (e o mais interessante, a manutenção das traduções) a usar as ferramentas do gettext em áreas em que não se esperava, como na documentação.

O script po4a-normalize é uma ferramenta de depuração usada para se certificar de que o po4a não altera o documento quando não é suposto. Use-o apenas se estiver no desenvolvimento de um novo módulo, ou se duvidar da sanidade das ferramentas.

O documento gerado será escrito em po4a-normalize.output enquanto o ficheiro POT gerado será escrito em po4a-normalize.po por predefinição, mas pode usar as opções --localized e --pot para mudar isso.

OPÇÕES

-o, --option
    Opção/ções adicional/ais para passar ao plugin de formato. Veja a documentação de cada plugin para mais informações sobre as opções válidas e os significados deles. Por exemplo, poderia passar '-o tablecells' para o analisador AsciiDoc, enquanto o analisador de texto aceitaria '-o tabs=split'.

-w, --width
    Coluna na qual devemos quebrar linha no ficheiro resultante se o formato suportar (padrão: 76). Se o valor fornecido for 0 ou negativo, o ficheiro resultante não terá quebra de linha. Isto é útil com alguns formatos que podem ficar danificados ao quebrar linha novamente.

-b, --blank
    Cria um documento em branco traduzido. O documento gerado traduzido vai ser gerado a assumir que todas as mensagens são traduzidas por um espaço ou nova linha.

    Isto é útil para verificar que partes do documento não podem ser traduzidas.

    --blank e --capitalize não podem ser especificados ao mesmo tempo.

-C, --capitalize
    Cria um documento traduzido e o ficheiro po correspondente com as cadeias originais traduzidas como suas versões capitalizadas.

    Isto é útil para verificar quais partes do documento não podem ser traduzidas e gerar dados de teste para o po4a.

    --blank e --capitalize não podem ser especificados ao mesmo tempo.

-h, --help
    Mostrar uma pequena mensagem de ajuda.

--help-format
    Lista os formatos de documentação compreendidos por po4a.

-f, --format
    O formato da documentação que pretende processar. Use a opção --help-format para ver a lista de formatos disponíveis.

-M, --master-charset
    Conjunto de caracteres do ficheiro que contém o documento a traduzir.

-l, --localized
    Nome do ficheiro normalizado para produzir (po4a-normalize.output por predefinição).

-p, --pot
    Ficheiro pot a ser produzido (po4a-normalize.po por predefinição).

-V, --version
    Mostrar a versão do script e sai.

VEJA TAMBÉM
po4a-gettextize(1), po4a-translate(1), po4a-updatepo(1), po4a(7)

AUTORES
 Denis Barbier <barbier@linuxfr.org>
 Nicolas François <nicolas.francois@centraliens.net>
 Martin Quinson (mquinson#debian.org)

DIREITOS DE AUTOR E LICENÇA
Copyright 2002-2023 por SPI, inc.

Este programa é um software livre; pode redistribuí-lo e/ou modificá-lo sob os termos da GPL v2.0 ou posterior (veja o ficheiro COPYING).